// CSE 142, Autumn 2006
// Homework 8 (Critter Safari)
// ** SPECIAL TOURNAMENT VERSION **
// Authors: Marty Stepp, Stuart Reges
//
// Provides the main method for the simulation.
// See comments at bottom of file for information related to the tournament.
//
public class CritterMain {
    public static void main(String[] args) {
        // create the simulation world
        CritterModel model = new CritterModel(60, 50);
        
        // The following line adds 25 of each critter type to the simulation.
        // If you prefer to test individual types, comment out the ClassUtils
        // line below and uncomment the desired model.add(...) line(s) instead.
        ClassUtils.addAllCritterClasses(model);
        
        // model.add(25, Stone.class);
        // model.add(25, Bear.class);
        // model.add(25, Lion.class);
        // model.add(25, Tiger.class);
        // model.add(25, Wolf.class);
        
        // run the simulation
        CritterGui gui = new CritterGui(model);
        gui.start();
    }
    
}

/*
To fight against another student's Wolf, you must be on two computers that 
can see each other over a network (such as two IPL computers or two dorm 
computers).  Run the critter simulation (tournament version) on both 
computers. One computer (the "sender") will send its Wolf to the other 
(the "receiver").  On the sender computer, click the button on the right 
edge of the window labeled Wolf.  A box will appear that asks you for the
name or IP address of the computer to connect to.  If you don't know the 
computer's name or IP address, you can often find it by loading a terminal
window or DOS prompt and typing the following command:

ipconfig

Or you can go to http://www.whatismyip.com/ in a web browser to find it.

If it sent correctly, the receiver computer will see a popup window asking
if it wants to add the new Wolf to the simulator world.  Choose how many
Wolves you'd like and press OK.  The wolves should appear on your screen.
Then press Go to run your one-on-one tournament!

This is new code and may have a few bugs.  Direct any emails about bugs
or problems to Marty Stepp.

To accept incoming connections on your computer or laptop, you may have to
set an exception in your computer's firewall. To do so in Windows, click
Settings, Control Panel, Windows Firewall. Click the Exceptions tab. Click
the Add Port... button. Enter the following information:

Name: Critters (name can be anything you like)
Port number: 5142
TCP

Click OK.
Then repeat the process with port 5143:

Name: Critters 2
Port number: 5143
TCP


These files have been tested on DrJava but may not work on TextPad
or some other environments. On TextPad you'll probably get the following
error:

package com.sun.tools.javac does not exist

The issue is with the file tools.jar not being in your build path.  This file
is in your jdk installation's lib/ subdirectory.  If you know a way to add
this file to your project's build path, it should solve the problem.  Contact
Marty if you need instructions on how to do this for TextPad or Eclipse.
*/
